curl -X POST https://api.ordexs.com/v1/orders/ord_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6/notes \
-H "Authorization: Bearer $ORDEXS_API_KEY" \
-H "Idempotency-Key: 3f9c1e2a-7b4d-4c8e-9a1f-5d6e7f8a9b0c" \
-H "Content-Type: application/json" \
-d '{
"body": "Customer confirmed by chat — deliver after 5 pm."
}'
const res = await fetch('https://api.ordexs.com/v1/orders/ord_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6/notes', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.ORDEXS_API_KEY}`,
'Idempotency-Key': crypto.randomUUID(),
'Content-Type': 'application/json',
},
body: JSON.stringify({
"body": "Customer confirmed by chat — deliver after 5 pm."
}),
})
const data = await res.json()
if (!res.ok) throw new Error(`${data.error.code}: ${data.error.message}`)
<?php
$body = [
'body' => 'Customer confirmed by chat — deliver after 5 pm.',
];
$ch = curl_init('https://api.ordexs.com/v1/orders/ord_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6/notes');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('ORDEXS_API_KEY'),
'Idempotency-Key: ' . bin2hex(random_bytes(16)),
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode($body),
]);
$data = json_decode(curl_exec($ch), true);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
import os, uuid
import requests
res = requests.post(
"https://api.ordexs.com/v1/orders/ord_4f1d2c3b5a6e47d8a9b0c1d2e3f4a5b6/notes",
headers={"Authorization": f"Bearer {os.environ['ORDEXS_API_KEY']}", "Idempotency-Key": str(uuid.uuid4())},
json={
"body": "Customer confirmed by chat — deliver after 5 pm.",
},
timeout=30,
)
data = res.json()
if not res.ok:
raise RuntimeError(f"{data['error']['code']}: {data['error']['message']}")
{
"id": "note_0f8b2a9c4d5e4f60a1b2c3d4e5f60718",
"object": "order_note",
"order_id": "ord_9b1c2d3e4f5a4b6c8d7e6f5a4b3c2d1e",
"body": "Customer confirmed by chat — deliver after 5 pm.",
"author": {
"type": "api_key",
"name": "API key \"Chatbot\""
},
"livemode": true,
"created_at": "2026-10-11T10:02:11Z"
}
{
"error": {
"code": "insufficient_scope",
"message": "This API key does not have the \"orders:write\" permission. Edit the key's permissions under Settings → Developers, or use a key that has it.",
"details": {
"required_scope": "orders:write"
},
"request_id": "req_7f3a9c2e41b84d0c9a1e5f6b"
}
}